#ifndef _IINI_H_
#define _IINI_H_

#include <assert.h>
#include <stddef.h>
#include "sysenv.h"
#if _OS_WIN

#elif _OS_LINUX

#else
#error "Not Supported Operator System"
#endif

#ifndef INICHAR
#define INICHAR char
#endif

#ifdef __cplusplus
extern "C" {
#endif

int ini_get_str(const INICHAR* filename, const INICHAR* section, const INICHAR* key,
	const INICHAR* def_vaule, INICHAR* buf, size_t szbuf);

#ifdef __cplusplus
}
#endif

/*  minIni - Multi-Platform INI file parser, suitable for embedded systems
 *
 *  These routines are in part based on the article "Multiplatform .INI Files"
 *  by Joseph J. Graf in the March 1994 issue of Dr. Dobb's Journal.
 *
 *  Copyright (c) CompuPhase, 2008-2021
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"); you may not
 *  use this file except in compliance with the License. You may obtain a copy
 *  of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 *  WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 *  License for the specific language governing permissions and limitations
 *  under the License.
 *
 *  Version: $Id: minIni.c 53 2015-01-18 13:35:11Z thiadmer.riemersma@gmail.com $
 */

#endif /* _IINI_H_ */